#include "guess.h"
#include<bits/stdc++.h>
using namespace std;

int find_number(int MAX)
{
    int l = 0, r = MAX+1, mid;
    while(l < r-1)
    {
        mid = (l+r)/2;
        if(!smaller(mid)) l = mid;
        else r = mid;
    }
    return l;
}
